@font-face {
    font-family: 'Inter';
    weight: 400;
    src: url("/cdaweb/vendor/fonts/Inter/Inter-Regular-slnt=0.ttf")
}

.form .form-control {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 21px;
    border-color: black;
}
.is-invalid{
    border-color: #dc3545 !important;
}

.was-validated .form-control:invalid, .form-control.is-invalid {
    border-color: var(--bs-form-invalid-border-color) !important;
}

.form-label {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 21px;
}

p {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 21px;
}

a {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 21px;
}

span {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 21px;
}

.text-primary {
    color: #233265 !important;
}

.bg-teal {
    background-color: teal !important;
}

.label-swal {
    margin-left: 28px !important;
}

.content-container {
    margin-top: 1rem;
    height: 100% !important;
    width: 100% !important;
}

h1 {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 600;
    font-size: 30px;
    line-height: 37px;
    color: rgba(6, 0, 72, 1);
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header a {
    width: auto;
}

.card-custom {
    border: none;
    border-radius: 4px;
}

.card-body-custom {
    padding: 0;
}

.label {
    font-family: 'Inter';
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0;
    text-align: left;
}

.asterisk {
    color: red;
    margin-left: 3px;
}

h3 {
    font-size: 1.3rem;
}

.btn {
    font-family: 'Inter';
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 0;
    text-align: center;
    border-radius: 6px;
    padding: 10px 60px;
}

.back-btn-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: max-content;
    max-width: max-content;
}

.back-btn-container .ph {
    font-size: 1.5rem;
    font-weight: 900;
    color: rgba(35, 50, 101, 1);
    margin-right: 10px;
}

.back-btn {
    font-family: 'Inter';
    font-size: 20px;
    font-weight: 500;
    line-height: 20px;
    align-items: center;
    display: flex;
    letter-spacing: 0;
    text-decoration: none;
    color: rgba(35, 50, 101, 1);
    cursor: pointer;
}

.dropdown-toggle{
    padding: 6px 12px !important;
}

.btn {
    font-family: 'Inter';
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 0;
    text-align: center;
    border-radius: 6px;
    padding: 10px 60px;
}

.btn-primary-custom {
    background-color: rgba(35, 50, 101, 1);
    border: 2px solid transparent;
    width: max-content;
}

.btn-secondary-custom {
    background-color: white;
    color: rgba(35, 50, 101, 1);
    border: 2px solid rgba(35, 50, 101, 1) !important;
}

.btn-primary-custom:hover {
    background-color: #13135D !important;
}

.btn-primary-custom:active {
    background-color: rgba(35, 50, 101, 1) !important;
}

.btn-secondary-custom:hover {
    background-color: #ececec;
    color: rgba(35, 50, 101, 1);
}

.btn-secondary-custom:active {
    background-color: #ececec !important;
    color: rgba(35, 50, 101, 1) !important;
}
.btn-secondary-custom.disabled {
    background-color: white;
    color: rgba(35, 50, 101, 1);
    border: 2px solid rgba(35, 50, 101, 1) !important;
    opacity: 0.65;
}

.btn-remove{
    font-family: 'Inter';
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 0;
    text-decoration: none;
    border-radius: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #233265 !important;
    cursor: pointer;
    /*border: 2px solid #B81212 !important;*/
    /*color: #B81212 !important;*/
    /*padding: 10px 40px !important;*/
}

.btn-edit{
    font-family: 'Inter';
    font-size: 16px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 0;
    border-radius: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: #233265 !important;
    /*border: 2px solid #233265 !important;*/
    /*padding: 10px 40px !important;*/
}

.btn-edit .ph{
    font-size: 30px;
}

.btn-remove .ph{
    font-size: 30px;
}

/*.btn-edit:hover{*/
/*    background-color: #ececec;*/
/*}*/
.btn-remove:hover{
    /*background-color: #ececec;*/
}

body {
    background-color: #f1f1f1;
}

.action-icon {
    background-color: rgba(35, 50, 101, 1);
    text-decoration: none;
    padding: 8px;
    cursor: pointer;
    width: 40px !important;
    height: 40px !important;
    aspect-ratio: 1 / 1;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 130px;
}

.action-icon .ph {
    color: white;
    font-size: 25px;
}

.action-icon.bg-info {
    background-color: #233265 !important;
}

.action-icon.bg-warning {
    background-color: #FDC40F !important;
}

.action-icon.bg-danger {
    background-color: #DD0C17 !important;
}

.alert {
    border-radius: 4px;
    border: none;
}

.alert span {
    color: #494949;
    font-style: normal;
    font-size: 14px;
    font-weight: 700;
    line-height: normal;
}

span.filter-title {
    font-size: 19px;
    font-weight: 500;
    line-height: 23px;
    margin-left: 5px;
    color: rgba(6, 0, 72, 1);
}

.filter-icon {
    font-size: 1.8em;
    font-weight: 900;
    color: rgba(35, 50, 101, 1);
}

.custom-accordion-item {
    border: none;
}

.custom-accordion-button {
    padding: 4px 16px;
}

.custom-accordion-button:not(.collapsed) {
    background-color: unset;
    border-color: white;
}

.custom-tables-fields span {
    font-size: 19px;
    font-weight: 500;
    line-height: 23px;
    color: rgba(6, 0, 72, 1);
}

.alert.alert-info {
    background-color: #DEDEEA;
}

.cda-mt-1 {
    margin-top: 1rem;
}

.cda-mb-1 {
    margin-bottom: 1rem;
}

.btn-primary {
    background-color: #233265 !important;
    border-color: #233265 !important;
}

.btn-outline-primary {
    color: #233265 !important;
    border-color: #233265 !important;
}

.btn-outline-primary:hover {
    background-color: #233265 !important;
    color: white !important;
}

.badge-outline-secondary {
    background-color: transparent;
    color: rgb(73, 73, 73) !important;
    border: 2px solid rgb(73, 73, 73) !important;
}

.btn-danger {
    background-color: #f53737 !important;
    border-color: #f53737 !important;
    width: fit-content !important;
}

.btn-square {
    padding: 3px 3px !important;
}

.btn-square i {
    vertical-align: text-bottom;
}

button.action-icon {
    border: none;
}

.form-check-input:checked {
    background-color: #233265 !important;
    border-color: #233265 !important;
}

.form-check-input {
    width: 1.8em;
    height: 1.8em;
    border-color: #233265 !important;
}

.bootstrap-select .dropdown-toggle {
    height: 33px !important;
}

.bootstrap-select .dropdown-toggle .filter-option {
    height: 33px !important;
}

.dropdown-primary .dropdown-menu {
    background-color: #233265 !important;
    padding-top: 0;
    padding-bottom: 0;
    min-width: 100%;
    margin-top: -5px !important;
}

.dropdown-primary .dropdown-menu .dropdown-item {
    color: white !important;
}

.dropdown-primary .dropdown-menu .dropdown-item:hover {
    background-color: #13135D !important;
    color: white !important;
}

.dropdown-primary .dropdown-menu li {
    border-top: 1px solid white;
}

.dropdown-primary .dropdown-menu li:last-child {
    border-bottom: 1px solid white;
}

.btn.dropdown-toggle.bs-placeholder.btn-light .filter-option-inner-inner {
    color: black !important;
}

.badge-outline-primary {
    background-color: transparent;
    color: #233265 !important;
    border: 2px solid #233265 !important;
}

.badge-outline-primary span {
    color: #233265 !important;
}

.badge-outline-success {
    background-color: transparent;
    color: #28a745 !important;
    border: 2px solid #28a745 !important;
}

.badge-outline-success span {
    color: #28a745 !important;
}

.badge-outline-info {
    background-color: transparent;
    color: #4ccef1 !important;
    border: 2px solid #4ccef1 !important;
}

.badge-outline-info span {
    color: #4ccef1 !important;
}

.badge-outline-danger {
    width: fit-content;
    background-color: transparent;
    color: #dc3545 !important;
    border: 2px solid #dc3545 !important;
}

.badge-outline-danger span {
    color: #dc3545 !important;
}

.badge-outline-warning {
    width: fit-content;
    background-color: transparent;
    color: #ffc107 !important;
    border: 2px solid #ffc107 !important;
}

.badge-outline-warning span {
    color: #ffc107 !important;
}

.badge-outline-alert {
    background-color: transparent;
    color: #f76b00 !important;
    border: 2px solid #f76b00 !important;
}

.badge-outline-alert span {
    color: #f76b00 !important;
}

.badge-outline-accent {
    background-color: transparent;
    color: #4a3dc0 !important;
    border: 2px solid #4a3dc0 !important;
}

.badge-outline-accent span {
    color: #4a3dc0 !important;
}

.badge-outline-blue {
    background-color: transparent;
    color: #33A5DE !important;
    border: 2px solid #33A5DE !important;
}

.badge-outline-blue span {
    color: #33A5DE !important;
}

.accordion-button {
    z-index: 0 !important;
}

.badge-outline-warning span {
    color: #ffc107 !important;
}

.accordion-button:not(.collapsed) {
    background-color: #DEDEEA !important;
}

.action-icon {
    margin: 4px;
}

.accordion-header .accordion-button span {
    font-size: 1.1rem;
    font-weight: 500;
}

.compact-accordion .accordion-body {
    padding: 0;
}

.compact-accordion .list-table {
   border-radius: inherit;
}

.compact-accordion .list-table thead {
    background-color: rgb(231, 231, 243);
}

.filter-option-inner-inner {
    padding-top: 7px;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
}

.btn.dropdown-toggle.bs-placeholder.btn-light .filter-option-inner-inner {
    color: #595c5f;
}

.card-title {
    color: #233265;
}

div:where(.swal2-container) button:where(.swal2-styled).swal2-confirm {
    background-color: #233265 !important;
    border: 2px solid #233265 !important;
    padding: 5px 15px !important;
}

div:where(.swal2-container) button:where(.swal2-styled).swal2-confirm:hover {
    background-color: #13135D !important;
    border: 2px solid #13135D !important;
}

div:where(.swal2-container) button:where(.swal2-styled).swal2-cancel {
    background-color: white !important;
    color: #233265 !important;
    border: 2px solid #233265 !important;
    padding: 5px 15px !important;
}

div:where(.swal2-container) button:where(.swal2-styled).swal2-cancel:hover {
    background-color: #ececec;
    color: rgba(35, 50, 101, 1);
    border: 2px solid #233265 !important;
}

.search-filter-buttons-container{
    display: flex;
    align-items: center;
    justify-content: end;
}

.edit-delete-btns-container{
    display: flex;
    align-items: center;
    justify-content: end;
}

.floating-button {
    position: fixed;
    bottom: 70px;
    right: 10px;
    z-index: 999;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    padding: 0;
    align-items: center;
    display: flex;
    justify-content: center;
}

.popover-icon{
    align-self: center;
    margin-left: 0.2rem;
    font-size: 1.5rem;
    font-weight: 500;
    color: #233265;
    cursor: pointer;
}

.input-group-text{
    background-color: #233265;
    border-radius: 0 5px 5px 0;
    border-color: #233265;
    color: white;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 21px;
}

.bg-alert {
    --bs-bg-opacity: 1;
    background-color: #f76b00 !important;
}

@media only screen and (max-width: 400px){
    .btn{
        font-size: 0.5rem;
        padding: 7px 42px;
    }
    .dropdown-toggle{
        padding: 6px 12px !important;
    }

    /*.btn-edit{*/
    /*    padding: 8px 27px !important;*/
    /*}*/

    .btn-remove{
        /*padding: 8px 27px !important;*/
    }
}

@media only screen and (max-width: 475px){
    .search-filter-buttons-container div {
        flex-direction: column;
    }
    .search-filter-buttons-container div button{
        width: 100% !important;
        margin: 0 !important;
    }
    .search-filter-buttons-container div button:last-child{
        margin-top: 0.5rem !important;
    }
}

/* Extra small devices (phones, up to 600px) */
@media only screen and (max-width: 600px) {

    h1{
        font-size: 1.5rem;
    }

    .btn{
        font-size: 0.8rem;
        padding: 7px 42px;
    }

    .dropdown-toggle{
        padding: 6px 12px !important;
    }

    .action-icon {
        margin-right: 15px;
        margin-left: 15px;
    }

    .search-filter-buttons-container{
        display: flex;
        align-items: center;
        justify-content: unset;
    }
    .search-filter-buttons-container div{
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    .search-filter-buttons-container div button:first-child{
        width: 50%;
        margin-right: 0.75rem;
    }
    .search-filter-buttons-container div button:last-child{
        width: 50%;
        margin-left: 0.75rem;
    }
}

/* Small devices (portrait tablets, 601px to 767px) */
@media only screen and (min-width: 601px) and (max-width: 767px) {
    h1{
        font-size: 28px;
    }
    .search-filter-buttons-container{
        display: flex;
        align-items: center;
        justify-content: unset;
    }
    .search-filter-buttons-container div{
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    .search-filter-buttons-container div button:first-child{
        width: 50%;
        margin-right: 0.75rem;
    }
    .search-filter-buttons-container div button:last-child{
        width: 50%;
        margin-left: 0.75rem;
    }
}

/* Medium devices (landscape tablets, 768px to 991px) */
@media only screen and (min-width: 768px) and (max-width: 991px) {
}

/* Large devices (laptops/desktops, 992px to 1199px) */
@media only screen and (min-width: 992px) and (max-width: 1199px) {
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
}

.checklist-list-unstyled  {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-decoration: none;
    padding-right: 0;
    list-style: none;
}